#!/bin/bash
# -*- mode: sh; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# vim: et sts=4 sw=4

#  SPDX-License-Identifier: LGPL-2.1+
#
#  Copyright © 2019-2020 Collabora Ltd.
#  Copyright © 2019-2020 Valve Corporation.
#
#  This file is part of steamos-customizations.
#
#  steamos-customizations is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public License as
#  published by the Free Software Foundation; either version 2.1 of the License,
#  or (at your option) any later version.

set -e
set -u

#
# Helpers
#

log () { echo >&2 "$@"; }
fail() { echo >&2 "Error:" "$@"; exit 1; }

#
# Disable all systemd timers
#

RAUC_RUNTIME_DIR=/run/rauc
[ -d "$RAUC_RUNTIME_DIR" ] || fail "RAUC runtime dir does not exist"

ACTIVE_TIMERS=$RAUC_RUNTIME_DIR/active-timers

systemctl list-units --full --no-legend --type=timer --state=active | \
while read -r service _; do
    [[ -n "$service" ]] || continue
    systemctl stop "$service" >/dev/null
    echo "$service"
done > "$ACTIVE_TIMERS"
